export const tos = {
  message: `
Thank you joining the Databag community! These Terms of Service (the “Terms”) cover your rights and obligations relating to your access and use of the Databag services, including but not limited to Databag (collectively, the “Service”). All references to “you”, “your”, or “user” refers to the user of the Service. In addition to these Terms, please review the Databag Privacy Policy, which describes our practices related to collection and use of your information. These Terms apply to our Privacy Policy as well. By using the Service, you represent and agree that you have read, understand, and agree to be bound by both these Terms and our Privacy Policy as binding agreements. Further, you agree that these Terms and our Privacy Policy apply to your past use, if any.

PLEASE CAREFULLY READ THESE TERMS, AS THEY CONTAIN IMPORTANT INFORMATION ABOUT YOUR RIGHTS AND RESPONSIBILITIES, INCLUDING LIMITATION OF OUR LIABILITY. IF YOU DO NOT ACCEPT THIS AGREEMENT IN ITS ENTIRETY, YOU MAY NOT ACCESS OR USE THE SERVICE.

Do not hesitate to contact us at github.com/balzack/databag/discussions if you have any questions or want to discuss either of these important documents.

Our mission is to create a new ecosystem that will safeguard our data and digital identities, empower privacy rights, and promote technology innovation and competition. Databag does not sell ads or your personal data to anyone. You share it only with the people and apps you decide to. We are funded by users like you through donations, financial support from our community of apps, and other support such as grants and in-kind services. Instead of paying to use our Services, you agree that you will be a responsible member of our community by following all of our policies, including our Community Standards, and support us in our mission.
Age Policy; Permitted Users

We do not intend that the Service be used by anyone under 13 years old. If we learn or have reason to suspect that a user is under 13 years of age, we will promptly delete that person’s personally identifiable information and prevent such user from using our Service. Further, you represent and warrant that your use of the Service does not and will not conflict with any pre-existing obligation in conflict or in any way inconsistent with the provisions of these Terms.
Overview of the Service; Your Digital Identity

In order to access the Service, you will need to create an account (the “Account”).

You understand that in order for you to use the Service, you must consent to Databag (1) hosting your Digital Identity on Databag, (2) backing up your Digital Identity on secure, third-party servers (like AWS), and (3) transmitting your Digital Identity to other users as you request. You may also host and backup your Digital Identity yourself, in which case we do not have access or permission to your Digital Identity. For users who choose to be listed in the User Directory, Databag will keep a digital copy of your profile image, name, username, location and description (depending on what you have chosen to include) in a separate registry that will allow other users to find you.

You are solely responsible for keeping your Account information, including password, safe. You may not use another user’s account. If you become aware of any unauthorized use of your account, you must promptly notify us of such use. You agree that we will not be liable for any loss or harm that you incur if someone else uses your account or password, either with or without your knowledge, and that you will be solely responsible for such use, whether or not you authorized the use.

Community Standards

Your use of our Services must comply not only with these Terms and our Privacy Policy, but also our Community Standards. Databag may review your conduct and content for compliance with these Terms and our Community Standards.

Our Intellectual Property

The software, including all files and images contained in the Service, and accompanying data, as well as all data provided by users and/or collected by us through the Service (collectively “Our IP”) are the property of Databag or are used with permission from third parties. As part of these Terms, we grant you a nonexclusive, nontransferable, and revocable license to use Our IP solely for the purposes for which it is intended.

Open source software licenses for components of the Services released under an open source license constitute separate written agreements. To the limited extent that the open source software licenses expressly supersede these Terms of Service, the open source licenses govern your agreement with Databag for the use of the components of the Services released under an open source license.

Databag’s Digital Identity

Databag and its Services are protected by copyright, trademark, and other US and foreign laws. These Terms don’t grant you any right, title, or interest in the Services, others’ content in the Services, Databag trademarks, logos and other brand features. We welcome feedback on Databag and our Services, and we thank you for your enthusiastic involvement in our community.
Information We Make Available to You

As part of the Service, we may provide you with various information in furtherance of the Service. Our intention in doing so is to be helpful and to make the Service more useful to you. However, you agree that all information and suggestions that we provide to you through the Service is strictly for informational purposes and shall not be construed or relied upon in any way. You agree that, to the fullest extent permitted by law, and as detailed below in the “Limitation of Liability” section of these Terms, we will not incur any liability at all whatsoever in the event that your reliance on any information provided by us results in harm or damage to you or your property.
Information You Provide to Us

As a core aspect of the functionality of the Service, you may provide us with information about yourself by and by using the Service. By providing this information and content, you grant us the right to use the information and content for any purpose that is in furtherance of providing the Service, as described in these Terms and our Privacy Policy. While we do not claim ownership over any such information and content that you provide, you agree that we have the right to use such information and content in furtherance of the Service. Further, by providing us with information and content through the Service, you represent and warrant that you own, or have the full legal authority to distribute, all information that you provide through the Service.

In addition, we should not be relied upon as a means to store your data or information and we assume no responsibility for such activities.
Prohibited, Illegal, and Inappropriate Content

As part of the functionality of the Service, you may provide us with information about you. You agree not to post or make available any inappropriate content on the Service including, but not limited to, libelous, defamatory, obscene, pornographic, abusive, or threatening content; content that advocates or encourages conduct that could constitute a criminal offense, give rise to civil liability, or otherwise violate any applicable local, state, national, or foreign law or regulation; content that is misleading or not true; or advertise or otherwise solicits funds for goods or services. If you post prohibited, illegal, or inappropriate content, we may remove such content from our servers, and we may suspend or terminate your account, and we reserve the right to investigate, and seek applicable remedies for, violations of applicable law to the fullest extent of the law.

Your Use of Others’ Intellectual Property

Although you may provide information and content to Databag as part of your use of the Service, you agree to be respectful of others’ intellectual property rights. You may not upload, transmit, or otherwise distribute any information or content in violation of intellectual property laws or proprietary rights of any third parties. If you do not respect a third party’s intellectual property or proprietary rights, you are solely responsible for any violations of law. In addition, you are solely responsible for infringement of third party rights caused by any information that is generated from your account.

Digital Millennium Copyright Act

Our Service is integrated with services provided by third parties as part of the functionality of the Service. We have no control over third parties and make no guarantees about, and assume no responsibility for, the information or services provided by third parties.

Additionally, we may provide links to third-party websites and businesses. You acknowledge and agree that we are not responsible for the accuracy, content, or functionality of services provided on or by such third-party websites or businesses, and we do not endorse, nor assume any liability related to your use of, such websites or businesses in any way. 

Account Termination

You are free to stop using our Services at any time. You can delete your account and Digital Identity saved by Databag. If you do, your data will be gone forever.

We reserve the right to suspend or terminate your Account, or take other action to limit or prevent your access to our Service, if we, in our sole discretion, deem that such action is necessary based on: your use of the Service in a way that would potentially expose us to liability; disruption of the Service by you to others; your violation of these Terms or our Privacy Policy; your violation of any applicable laws, rules, regulations, and agreements that may apply to you.

We may, but are not obligated to provide you with reasonable advance notice via the Account or Databag app to remedy the activity that prompted us to contact you and give you the opportunity to export your Digital Identity from our Services.

Proper Use of the Services

You shall not violate or attempt to violate any security features of the Service, including, without limitation, (a) accessing content or data not intended for you, or logging onto a server or account that you are not authorized to access; (b) attempting to probe, scan, or test the vulnerability of the Service, or any associated system or network, or to breach security or authentication measures without proper authorization; (c) interfering or attempting to interfere with service to any user, host, or network, including, without limitation, by means of submitting a virus to the Service, overloading, “flooding,” “spamming,” “mail bombing,” “crashing,” or undertaking similar activities; and (d) forging any TCP/IP packet header or any part of the header information in any e-mail or in any posting using the Service.

ASSUMPTION OF RISK

DATABAG MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED (SEE BELOW), AS TO THE CONTENT OR OPERATION OF THE SERVICE. YOU EXPRESSLY AGREE THAT YOUR USE OF THE SERVICE IS AT YOUR SOLE RISK.
DISCLAIMER OF WARRANTIES; “AS IS”

WE ARE MAKING THE SERVICE AVAILABLE “AS IS” AND, TO THE MAXIMUM EXTENT PERMITTED BY LAW, WE EXPRESSLY DISCLAIM ANY AND ALL WARRANTIES, EXPRESS OR IMPLIED, REGARDING THE SERVICE, INCLUDING, BUT NOT LIMITED TO, ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. YOU ASSUME THE RISK OF ANY AND ALL DAMAGE OR LOSS FROM USE OF, OR INABILITY TO USE, THE SERVICE. WE DO NOT WARRANT THAT OPERATION OF THE SERVICE WILL BE UNINTERRUPTED OR ERROR-FREE.
LIMITATION OF LIABILITY

TO THE MAXIMUM EXTENT PERMITTED BY LAW, WE SHALL NOT BE LIABLE FOR DAMAGES OF ANY KIND (INCLUDING, BUT NOT LIMITED TO, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, LOST PROFITS, OR LOST DATA, REGARDLESS OF THE FORESEEABILITY OF THOSE DAMAGES) ARISING OUT OF OR IN CONNECTION WITH YOUR USE OF THE SERVICE INCLUDING, BUT NOT LIMITED TO, DAMAGES ARISING FROM OR RELATED TO ANY OF THE FOLLOWING: ANY CLAIM RELATED TO PERSONAL OR BODILY INJURY IN CONNECTION WITH THE USE OF THE SERVICE; ANY HARM OR DAMAGE CAUSED BY, OR OTHERWISE RELATED TO, YOUR RELIANCE ON INFORMATION PROVIDED THROUGH THE SERVICE; ANY LOSS OR UNAUTHORIZED DISCLOSURE OF DATA; ANY HARM OR DAMAGE CAUSED BY, OR OTHERWISE RELATED TO, YOUR USE OF OR INTERACTION WITH ANY SERVICES OFFERED THROUGH THE SERVICE; AND ANY VIOLATIONS OF APPLICABLE LAWS, RULES, REGULATIONS, AND OTHER AGREEMENTS. THIS LIMITATION SHALL APPLY REGARDLESS OF THE LEGAL THEORY OR FORM OF ACTION.
 
IN NO EVENT WILL OUR AGGREGATE LIABILITY ARISING OUT OF OR IN CONNECTION WITH THESE TERMS AND YOUR USE OF THE SERVICE EXCEED ONE HUNDRED DOLLARS ($100.00).

THE LIMITATIONS OF DAMAGES SET FORTH ABOVE ARE FUNDAMENTAL ELEMENTS OF THE BASIS OF THE BARGAIN BETWEEN YOU AND US.

SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CERTAIN TYPES OF DAMAGES OR CAUSES OF ACTION, SO THE ABOVE LIMITATION MAY NOT APPLY TO YOU.

Indemnification

In the event that any third party brings a claim against us related to your actions, content, information, or any other use of the Service by you, you agree to indemnify, defend, and hold us and our agents harmless from and against any and all third-party claims, including privacy violations, losses, liability, damages, and/or costs (including reasonable attorney fees and costs) relating to such claim. We will notify you promptly of any such claim and will provide you with reasonable assistance, at your expense, in defending any such claim, provided, however, that our failure to so notify you shall not relieve you of your indemnity obligations, but instead shall reduce those obligations by the amount of damages or increased costs and expenses attributable to our failure to give notice. We reserve the right to approve counsel retained by you, to take control of the defense (at our expense) of any claim for which indemnity is required, and to participate in the defense of any claim (at our expense) for which indemnity is required. You may not settle any claim without our prior consent.

Resolving Disputes

We have a mission to build a better system for all us, so let’s see if we can work things out first! We want to address your concerns without needing a formal legal case. Before filing a claim against Databag, you agree to try to resolve the dispute informally by contacting github.com/balzack/databag/discussions. We’ll try to resolve the dispute informally by contacting you via email. If a dispute is not resolved within 15 days of submission, we both agree to attempt in good faith to resolve the dispute through mediation administered by JAMS, which shall take place in San Francisco County, California, and the costs of which shall be divided equally between you and Databag. Third, if the dispute is not resolved through informal resolution and mediation, either party may proceed with a lawsuit, which shall take place in San Francisco County, California. Both Parties consent to venue and personal jurisdiction there.

Either you or we may bring a lawsuit solely for injunctive relief without first engaging in the dispute resolution process described above.

Nothing contained in this Section shall limit our ability to terminate, or otherwise take action related to, your account as provided in these Terms.

Governing Law

These Terms shall be governed by the laws of the State of California, without regard to conflict of law provisions. In the event that a lawsuit is filed where permitted under the provisions above, or in the event that the provisions above are found not to apply to you or to a given dispute, we both agree that any judicial proceeding will be brought in the federal or state courts of San Francisco County, California. Both you and we consent to venue and personal jurisdiction there.

Entire Agreement

These Terms constitute the entire agreement between you and Databag with respect to the subject matter of these Terms, and supersede and replace any other prior or contemporaneous agreements, or terms and conditions applicable to the subject matter of these Terms. These Terms create no third party beneficiary rights.

Waiver, Severability & Assignment

Databag’s failure to enforce a provision is not a waiver of its right to do so later. If a provision is found unenforceable, the remaining provisions of the Terms will remain in full effect and an enforceable term will be substituted reflecting our intent as closely as possible. You may not assign any of your rights under these Terms, and any such attempt will be void. Databag may assign its rights to any of its affiliates or subsidiaries, or to any successor in interest of any business associated with the Services.
Modifications

We may revise our policies, including these Terms or our Privacy Policy, from time to time to better reflect:

(a) changes to the law,

(b) new regulatory requirements

(c) improvements or enhancements made to our Services, or

(d) inputs and suggestions from our community of users.

Before making modifications that affect your use of the Services or your legal rights as a user of our Services, we’ll notify you via an in-product notification, and through announcements in our community forum, allowing time for feedback and input from users (“Feedback”). Please note that although we invite your feedback, we are under no obligation to implement any feedback given by you. Additionally, Databag shall own all right, title and interest in and to the Feedback, and will be free to use, disclose, reproduce, and otherwise distribute and use the Feedback provided to it as it sees fit, entirely without obligation or restriction of any kind. Once finalized, we will announce the modifications and the new terms will be effective no less than 30 days from when we notify you.

If you do not agree to the updates we make, please terminate your account before they become effective. By continuing to use or access the Services after the updates come into effect, you agree to be bound by the revised Terms.
`
};
